#!/bin/bash
function exec_cmd()
{
        echo "executing $@"
        $@ >/dev/null 2>&1

        if [ $? -ne 0 ]; then
                echo "Failed to execute $@"
                exit 1
        fi
}
echo "install dependencies"

# libeasy
cd /opt/dev
rm -fr libeasy
mkdir -p /usr/include/easy
exec_cmd git clone -b devel https://dev.iopsys.eu/hal/libeasy.git
cd libeasy
exec_cmd make CFLAGS+="-I/usr/include/libnl3"
exec_cmd cp -a libeasy*.so* /usr/lib
exec_cmd cp -a easy.h event.h utils.h if_utils.h debug.h hlist.h /usr/include/easy/

# libdsl
cd /opt/dev
rm -fr libdsl
exec_cmd git clone -b devel https://dev.iopsys.eu/hal/libdsl.git
cd libdsl
make PLATFORM=TEST
exec_cmd cp -a common.h xdsl.h xtm.h /usr/include
exec_cmd cp -a libdsl*.so* /usr/lib
sudo ldconfig
